{% extends "base.html" %}
{% from "_formhelpers.html" import render_article_textarea_field %}
<h1>THERE IS YOUR PROFILE PAGE </h1>
{% block content %}
    <div class="column is-4 is-offset-4">

    <h3 class="title">Create post</h3>

    <div class="box">

        <form method="POST" action="/profile" name="form">

            {{ form.csrf_token }}

            <div class="field">
                {{ render_article_textarea_field(form.content) }}
            </div>

            <button class="button is-block is-info is-large is-fullwidth">Crate post</button>
        </form>
    </div>

</div>
  {% for post in userpost %}
        <div class="column is-4 is-offset-4">
            <div class="box">
                <div>{{ post.content }}</div>
            <form action="{{ url_for('main.delete_post', id=post.id) }}" method="post">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="submit" value="Delete" class="btn btn-danger">
                    </form>
            </div>
        </div>
    {% endfor %}



{% endblock %}